MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014672mantisbtapi soappublic2012-08-30 08:182013-04-06 08:27
Reporterrombert 
Assigned Torombert 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.2.13Fixed in Version1.2.13 
Summary0014672: Slow performance of SOAP calls due to nusuoap
DescriptionWhen profiling SOAP requests I've discovered that nusoap serialization can take up to 75% of the whole processing time. We should find out if this is something to be improved.
TagsNo tags attached.
Attached Filespng file icon screenshot.png [^] (34,141 bytes) 2012-08-30 08:19


png file icon screenshot-soap-extension.png [^] (31,972 bytes) 2012-11-12 17:16

- Relationships
related to 0014871closedrombert Add support for the built-in soap extension in addition to nusoap 
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 

-  Notes
User avatar (0034304)
rombert (developer)
2012-11-12 17:16

When using the soap extension the dominant is the require_api call. I say we're done here from a performance point of view.
User avatar (0036117)
grangeway (reporter)
2013-04-05 17:56

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

- Issue History
Date Modified Username Field Change
2012-08-30 08:18 rombert New Issue
2012-08-30 08:19 rombert File Added: screenshot.png
2012-11-10 19:04 dregad Target Version 1.2.12 => 1.2.13
2012-11-12 16:55 rombert Assigned To => rombert
2012-11-12 16:55 rombert Status acknowledged => assigned
2012-11-12 17:16 rombert File Added: screenshot-soap-extension.png
2012-11-12 17:16 rombert Note Added: 0034304
2012-11-12 17:17 rombert Relationship added related to 0014871
2012-11-12 17:17 rombert Status assigned => resolved
2012-11-12 17:17 rombert Resolution open => fixed
2012-11-12 17:17 rombert Fixed in Version => 1.2.13
2013-01-22 09:47 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036117
2013-04-05 19:33 grangeway Relationship added related to 0015721
2013-04-06 03:39 dregad Status acknowledged => resolved
2013-04-06 07:21 grangeway Status resolved => acknowledged
2013-04-06 08:27 grangeway Status acknowledged => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0831 seconds.
memory usage: 3,051 KB
Powered by Mantis Bugtracker